| hoogle | Source code | Contents | Index

Hoogle.DataBase.TypeSearch.Cost

Documentation

data Cost | Source

Constructors

CostAliasFwd |
CostAliasBwd |
CostUnbox |
CostRebox |
CostRestrict |
CostUnrestrict |
CostDupVarResult |
CostDupVarQuery |
CostInstanceDel |
CostInstanceAdd |
CostDeadArg |
CostArgReorder |

Instances

Bounded Cost
Enum Cost
Eq Cost
Ord Cost
Show Cost

cost :: Cost -> Int | Source

score :: [Cost] -> Int | Source

(*+) :: Cost -> Int -> [Cost] | Source

Produced by Haddock version 2.4.2